<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.PrintLockingSystemStats Method (Boolean, Boolean)
DatabaseEnvironment Class See Also Send Feedback

Display the locking subsystem statistical information, as described by LockStats.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.35.0

# Syntax

C#

    public void PrintLockingSystemStats(
    	bool PrintAll,
    	bool ClearStats
    )

Visual Basic (Declaration)

    Public Sub PrintLockingSystemStats ( _
    	PrintAll As Boolean, _
    	ClearStats As Boolean _
    )

Visual C++

    public:
    void PrintLockingSystemStats(
    	bool PrintAll,
    	bool ClearStats
    )

#### Parameters

PrintAll
  Type: System..::.Boolean
  If true, display all available information.

ClearStats
  Type: System..::.Boolean
  If true, reset statistics after displaying their values.

# See Also

DatabaseEnvironment Class
PrintLockingSystemStats Overload
BerkeleyDB Namespace